package cn.aibreeze.exam.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class SessionExamResult implements Serializable {

    @JsonProperty("total_score")
    private double totalScore;

    @JsonProperty("avg_score")
    private String avgScore;

    @JsonProperty("exam_num")
    private int examNum;

    @JsonProperty("qa_result_list")
    private List<SingleQaResult> qaResultList;
}
