package cn.aibreeze.exam.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.io.Serializable;

@Data
public class SingleQaResult implements Serializable {

    @JsonProperty("question")
    private String question;

    @JsonProperty("answer")
    private String answer;

    @JsonProperty("user_answer")
    private String userAnswer;

    @JsonProperty("score")
    private Double score;

    @JsonProperty("score_criteria")
    private String scoreCriteria;

    @JsonProperty("session_id")
    private String sessionId;

    @JsonProperty("user_id")
    private String userId;

    @JsonProperty("scene")
    private String scene;

    @JsonProperty("question_id")
    private Long questionId;
}
