package cn.aibreeze.exam.mapper;

import cn.aibreeze.exam.entity.ElehKnowledgeDo;
import cn.aibreeze.exam.entity.ElehKnowledgeTagDo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface ElehKnowledgeTagMapper extends BaseMapper<ElehKnowledgeTagDo> {

    @Select(value = "select * from eleh_knowledge_tag where tenant = #{tenant} and code = #{code} order by id ASC limit 1")
    ElehKnowledgeTagDo selectByCode(@Param("tenant") Integer tenant, @Param("code") String code);

}
