package cn.aibreeze.exam.service;

import java.io.File;
import java.io.InputStream;

public interface FileService {

    String upload(String key, File file);

    String upload(String key, InputStream inputStream);

    String getPrefix();

    default String processKey(String key) {
        if (key.startsWith("/")) {
            key = key.substring(1);
        }

        return this.getPrefix().endsWith("/") ? this.getPrefix() + key : this.getPrefix() + "/" + key;
    }

    InputStream getFileInputStream(String key);

//    Mono<InputStream> getObjectByKey(String key);

    String getPrivateFileUrlForDownload(String key);
}
